Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class HibernateSessionProxy

    java.lang.Object
      org.jboss.seam.persistence.HibernateSessionProxy

All Implemented Interfaces:
  Serializable, org.hibernate.Session

    public class HibernateSessionProxy

extends Object
implements org.hibernate.Session

See Also:
  Serialized Form

Constructor Summary
`HibernateSessionProxy(org.hibernate.Session session)`

Method Summary
`org.hibernate.Transaction` | `beginTransaction()`
`void` | `cancelQuery()`
`void` | `clear()`
`Connection` | `close()`
`Connection` | `connection()`
`boolean` | `contains(Object arg0)`
`org.hibernate.Criteria` | `createCriteria(Class arg0)`
`org.hibernate.Criteria` | `createCriteria(Class arg0, String arg1)`
`org.hibernate.Criteria` | `createCriteria(String arg0)`
`org.hibernate.Criteria` | `createCriteria(String arg0, String arg1)`
`org.hibernate.Query` | `createFilter(Object arg0, String arg1)`
`org.hibernate.Query` | `createQuery(String hql)`
`org.hibernate.SQLQuery` | `createSQLQuery(String arg0)`
`void` | `delete(Object arg0)`
`void` | `delete(String arg0, Object arg1)`
`void` | `disableFilter(String arg0)`
`Connection` | `disconnect()`
`org.hibernate.Filter` | `enableFilter(String arg0)`
`void` | `evict(Object arg0)`
`void` | `flush()`
`Object` | `get(Class arg0, Serializable arg1)`
`Object` | `get(Class arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`Object` | `get(String arg0, Serializable arg1)`
`Object` | `get(String arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`org.hibernate.CacheMode` | `getCacheMode()`
`org.hibernate.LockMode` | `getCurrentLockMode(Object arg0)`
`org.hibernate.Filter` | `getEnabledFilter(String arg0)`
`org.hibernate.EntityMode` | `getEntityMode()`
`String` | `getEntityName(Object arg0)`
`org.hibernate.FlushMode` | `getFlushMode()`
`Serializable` | `getIdentifier(Object arg0)`
`org.hibernate.Query` | `getNamedQuery(String arg0)`
`org.hibernate.Session` | `getSession(org.hibernate.EntityMode arg0)`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`org.hibernate.stat.SessionStatistics` | `getStatistics()`
`org.hibernate.Transaction` | `getTransaction()`
`boolean` | `isConnected()`
`boolean` | `isDirty()`
`boolean` | `isOpen()`
`Object` | `load(Class arg0, Serializable arg1)`
`Object` | `load(Class arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`void` | `load(Object arg0, Serializable arg1)`
`Object` | `load(String arg0, Serializable arg1)`
`Object` | `load(String arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`void` | `lock(Object arg0, org.hibernate.LockMode arg1)`
`void` | `lock(String arg0, Object arg1, org.hibernate.LockMode arg2)`
`Object` | `merge(Object arg0)`
`Object` | `merge(String arg0, Object arg1)`
`void` | `persist(Object arg0)`
`void` | `persist(String arg0, Object arg1)`
`void` | `reconnect()`
`void` | `reconnect(Connection arg0)`
`void` | `refresh(Object arg0)`
`void` | `refresh(Object arg0, org.hibernate.LockMode arg1)`
`void` | `replicate(Object arg0, org.hibernate.ReplicationMode arg1)`
`void` | `replicate(String arg0, Object arg1, org.hibernate.ReplicationMode arg2)`
`Serializable` | `save(Object arg0)`
`Serializable` | `save(String arg0, Object arg1)`
`void` | `saveOrUpdate(Object arg0)`
`void` | `saveOrUpdate(String arg0, Object arg1)`
`void` | `setCacheMode(org.hibernate.CacheMode arg0)`
`void` | `setFlushMode(org.hibernate.FlushMode arg0)`
`void` | `setReadOnly(Object arg0, boolean arg1)`
`void` | `update(Object arg0)`
`void` | `update(String arg0, Object arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSessionProxy

    public HibernateSessionProxy(org.hibernate.Session session)

Method Detail

### beginTransaction

    public org.hibernate.Transaction beginTransaction()
                                               throws org.hibernate.HibernateException

  Specified by:
    `beginTransaction` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### cancelQuery

    public void cancelQuery()
                     throws org.hibernate.HibernateException

  Specified by:
    `cancelQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.hibernate.Session`

### close

    public Connection close()
                     throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### connection

    public Connection connection()
                          throws org.hibernate.HibernateException

  Specified by:
    `connection` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### contains

    public boolean contains(Object arg0)

  Specified by:
    `contains` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(Class arg0,
                                                 String arg1)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(Class arg0)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(String arg0,
                                                 String arg1)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(String arg0)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createFilter

    public org.hibernate.Query createFilter(Object arg0,
                                            String arg1)
                                     throws org.hibernate.HibernateException

  Specified by:
    `createFilter` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### createQuery

    public org.hibernate.Query createQuery(String hql)
                                    throws org.hibernate.HibernateException

  Specified by:
    `createQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### createSQLQuery

    public org.hibernate.SQLQuery createSQLQuery(String arg0)
                                          throws org.hibernate.HibernateException

  Specified by:
    `createSQLQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(Object arg0)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(String arg0,
                       Object arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### disableFilter

    public void disableFilter(String arg0)

  Specified by:
    `disableFilter` in interface `org.hibernate.Session`

### disconnect

    public Connection disconnect()
                          throws org.hibernate.HibernateException

  Specified by:
    `disconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### enableFilter

    public org.hibernate.Filter enableFilter(String arg0)

  Specified by:
    `enableFilter` in interface `org.hibernate.Session`

### evict

    public void evict(Object arg0)
               throws org.hibernate.HibernateException

  Specified by:
    `evict` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### flush

    public void flush()
               throws org.hibernate.HibernateException

  Specified by:
    `flush` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(Class arg0,
                      Serializable arg1,
                      org.hibernate.LockMode arg2)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(Class arg0,
                      Serializable arg1)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String arg0,
                      Serializable arg1,
                      org.hibernate.LockMode arg2)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String arg0,
                      Serializable arg1)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getCacheMode

    public org.hibernate.CacheMode getCacheMode()

  Specified by:
    `getCacheMode` in interface `org.hibernate.Session`

### getCurrentLockMode

    public org.hibernate.LockMode getCurrentLockMode(Object arg0)
                                              throws org.hibernate.HibernateException

  Specified by:
    `getCurrentLockMode` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getEnabledFilter

    public org.hibernate.Filter getEnabledFilter(String arg0)

  Specified by:
    `getEnabledFilter` in interface `org.hibernate.Session`

### getEntityMode

    public org.hibernate.EntityMode getEntityMode()

  Specified by:
    `getEntityMode` in interface `org.hibernate.Session`

### getEntityName

    public String getEntityName(Object arg0)
                         throws org.hibernate.HibernateException

  Specified by:
    `getEntityName` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getFlushMode

    public org.hibernate.FlushMode getFlushMode()

  Specified by:
    `getFlushMode` in interface `org.hibernate.Session`

### getIdentifier

    public Serializable getIdentifier(Object arg0)
                               throws org.hibernate.HibernateException

  Specified by:
    `getIdentifier` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getNamedQuery

    public org.hibernate.Query getNamedQuery(String arg0)
                                      throws org.hibernate.HibernateException

  Specified by:
    `getNamedQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getSession

    public org.hibernate.Session getSession(org.hibernate.EntityMode arg0)

  Specified by:
    `getSession` in interface `org.hibernate.Session`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.hibernate.Session`

### getStatistics

    public org.hibernate.stat.SessionStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `org.hibernate.Session`

### getTransaction

    public org.hibernate.Transaction getTransaction()

  Specified by:
    `getTransaction` in interface `org.hibernate.Session`

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `org.hibernate.Session`

### isDirty

    public boolean isDirty()
                    throws org.hibernate.HibernateException

  Specified by:
    `isDirty` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `org.hibernate.Session`

### load

    public Object load(Class arg0,
                       Serializable arg1,
                       org.hibernate.LockMode arg2)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(Class arg0,
                       Serializable arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public void load(Object arg0,
                     Serializable arg1)
              throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String arg0,
                       Serializable arg1,
                       org.hibernate.LockMode arg2)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String arg0,
                       Serializable arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(Object arg0,
                     org.hibernate.LockMode arg1)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(String arg0,
                     Object arg1,
                     org.hibernate.LockMode arg2)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public Object merge(Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public Object merge(String arg0,
                        Object arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(String arg0,
                        Object arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect()
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect(Connection arg0)
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object arg0,
                        org.hibernate.LockMode arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(Object arg0,
                          org.hibernate.ReplicationMode arg1)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(String arg0,
                          Object arg1,
                          org.hibernate.ReplicationMode arg2)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public Serializable save(Object arg0)
                      throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public Serializable save(String arg0,
                             Object arg1)
                      throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(Object arg0)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(String arg0,
                             Object arg1)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### setCacheMode

    public void setCacheMode(org.hibernate.CacheMode arg0)

  Specified by:
    `setCacheMode` in interface `org.hibernate.Session`

### setFlushMode

    public void setFlushMode(org.hibernate.FlushMode arg0)

  Specified by:
    `setFlushMode` in interface `org.hibernate.Session`

### setReadOnly

    public void setReadOnly(Object arg0,
                            boolean arg1)

  Specified by:
    `setReadOnly` in interface `org.hibernate.Session`

### update

    public void update(Object arg0)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(String arg0,
                       Object arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD